import { ElementRef, OnInit, AfterViewInit, OnChanges, OnDestroy, SimpleChanges, NgZone } from '@angular/core';
import { ChartData, ChartOptions, ChartType } from 'chart.js';
import { ChartjsConfig } from './chartjs.config';
export declare class ChartjsComponent implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    private zone;
    private CHARTJS_CONFIG;
    className: string;
    type: ChartType | string;
    data: ChartData | any;
    options: ChartOptions;
    canvas: ElementRef<HTMLCanvasElement>;
    private _instance;
    constructor(zone: NgZone, CHARTJS_CONFIG: ChartjsConfig);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private _init;
    private _initOptions;
    private _updateData;
    private _updateDatasets;
    private _updateOptions;
}
